
Core - Bug # 56921

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-14 Assigned To:
Updated: 2014-03-14 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: Refactor log writer tests in ext:core
Description

Associated revisions
Revision 8bec5130 - 2014-03-14 20:00 - Christian Kuhn

[BUGFIX] Tests: Refactor log writer tests in ext:core

Test files and class naming is adapted to subject class names in
ext:core Log/Writer and the DatabaseWriterTests are rewritten to
not depend on initialized database connection anymore.

Change-Id: Ifff4e5a064018bb5b0db3bf9eeb1b9232adfb262
Resolves: #56921
Related: #51436
Releases: 6.2
Reviewed-on: https://review.typo3.org/28396
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2014-03-14 19:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28396

#2 - 2014-03-14 19:29 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28396

#3 - 2014-03-14 20:30 - Christian Kuhn

2015-08-04 1/2

https://review.typo3.org/28396
https://review.typo3.org/28396
https://review.typo3.org/28396


- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8bec51303d5a246cb5ee8da7675ce14491362395.
